import request from '@/utils/request'

// 查询场景类型列表
export function listSceneMode(query) {
  return request({
    url: '/business/sceneMode/list',
    method: 'get',
    params: query
  })
}

// 查询场景类型详细
export function getSceneMode(sceneModeId) {
  return request({
    url: '/business/sceneMode/' + sceneModeId,
    method: 'get'
  })
}

// 新增场景类型
export function addSceneMode(data) {
  return request({
    url: '/business/sceneMode',
    method: 'post',
    data: data
  })
}

// 修改场景类型
export function updateSceneMode(data) {
  return request({
    url: '/business/sceneMode',
    method: 'put',
    data: data
  })
}

// 删除场景类型
export function delSceneMode(sceneModeId) {
  return request({
    url: '/business/sceneMode/' + sceneModeId,
    method: 'delete'
  })
}
